FROM python:3.10

ARG ROOT=/home/seta
RUN useradd seta

WORKDIR $ROOT

COPY ./requirements.txt ./requirements.txt
RUN pip install --no-cache-dir -r requirements.txt

# Start development server by default
ENTRYPOINT ["mkdocs"]
CMD ["serve", "--dev-addr=0.0.0.0:8000"]